// @ts-check
import { defineConfig } from 'astro/config';
import mdx from '@astrojs/mdx';
import sitemap from '@astrojs/sitemap';
import tailwind from '@astrojs/tailwind';
// import cloudflare from '@astrojs/cloudflare';  // Commented out for local development

// https://astro.build/config
export default defineConfig({
  site: 'https://laforceit.blog',
  output: 'static',
  // adapter: cloudflare(),  // Commented out for local development
  integrations: [
    mdx(),
    sitemap(),
    tailwind(),
  ],
  markdown: {
    shikiConfig: {
      theme: 'dracula',
      wrap: true
    },
    remarkPlugins: [],
    rehypePlugins: []
  }
});